﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace NLScC.converter
{
    [ValueConversion(sourceType: typeof(NLScC.model.ApplicationType), targetType: typeof(string))]
    class ApplicationTypeToImageConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            switch (value)
            {
                case NLScC.model.ApplicationType.Application:
                    return @"images\programmanager\programmanager.png";
                case NLScC.model.ApplicationType.Chrome:
                    return @"images\web\chrome.png";
                case NLScC.model.ApplicationType.Edge:
                    return @"images\web\edge.png";
                case NLScC.model.ApplicationType.Firefox:
                    return @"images\web\firefox.png";
                case NLScC.model.ApplicationType.Folder:
                    return @"images\programmanager\foldermanager.png";
                case NLScC.model.ApplicationType.InternetExplorer:
                    return @"images\web\edge.png";
                case NLScC.model.ApplicationType.Website:
                    return @"images\web\web.png";
                default:
                    return @"images\other\404.png";
            }

        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
